Package fr.gouv.vitam.metadata.core.graph

# Class GraphComputeServiceImpl

java.lang.Object
fr.gouv.vitam.metadata.core.graph.GraphComputeServiceImpl

All Implemented Interfaces:
  `VitamAutoCloseable`, `GraphComputeService`, `AutoCloseable`

public class GraphComputeServiceImpl extends Object implements GraphComputeService, VitamAutoCloseable
This class compute graph for unit and object group Should only be called from GraphFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `GraphComputeResponse`
  `computeGraph(com.fasterxml.jackson.databind.JsonNode queryDSL)`
  If workflow of compute graph in progress, do not execute this method Should be exposed in the API
  `GraphComputeResponse`
  `computeGraph(MetadataCollections metadataCollections, Collection<String> documentsId, boolean computeObjectGroupGraph, boolean invalidateComputedInheritedRules)`
  Compute graph for unit/got from all parents
  `static GraphComputeService`
  `initialize(VitamRepositoryProvider vitamRepositoryProvider, MetaDataImpl metaData, ElasticsearchMetadataIndexManager indexManager)`
  `boolean`
  `isInProgress()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### initialize

    public static GraphComputeService initialize(VitamRepositoryProvider vitamRepositoryProvider, MetaDataImpl metaData, ElasticsearchMetadataIndexManager indexManager)

  - ### computeGraph

    public GraphComputeResponse computeGraph(com.fasterxml.jackson.databind.JsonNode queryDSL) throws MetaDataException
    Description copied from interface: `GraphComputeService`
    If workflow of compute graph in progress, do not execute this method Should be exposed in the API
    Specified by:
      `computeGraph` in interface `GraphComputeService`
    Returns:
      the map of collection:number of treated documents
    Throws:
      `MetaDataException`

  - ### computeGraph

    public GraphComputeResponse computeGraph(MetadataCollections metadataCollections, Collection<String> documentsId, boolean computeObjectGroupGraph, boolean invalidateComputedInheritedRules)
    Description copied from interface: `GraphComputeService`
    Compute graph for unit/got from all parents
    Specified by:
      `computeGraph` in interface `GraphComputeService`
    Parameters:
      `metadataCollections` - the collection concerned by the build of the graph
      `documentsId` - the collection of units subject of computing graph
      `computeObjectGroupGraph` - true mean compute graph
      `invalidateComputedInheritedRules` -
    Returns:
      The collection of object group treated or to be treated bu an other process. This collection contains got's id of concerning units. Empty collection is returned if computeGraph of object group.

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `VitamAutoCloseable`

  - ### isInProgress

    public boolean isInProgress()
    Specified by:
      `isInProgress` in interface `GraphComputeService`